<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.infrastructure.mapper.SchVirtualLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.scheduling.management.SchVirtualLog">
                    <id column="id" property="id"/>
                    <result column="cpu_utilization" property="cpuUtilization"/>
                    <result column="memory_total" property="memoryTotal"/>
                    <result column="memory_allowance" property="memoryAllowance"/>
                    <result column="uplink_rate" property="uplinkRate"/>
                    <result column="descending_rate" property="descendingRate"/>
                    <result column="ip" property="ip"/>
                    <result column="create_time" property="createTime"/>
                    <result column="update_time" property="updateTime"/>
                    <result column="client_time" property="clientTime"/>
                    <result column="disk_json" property="diskJson"/>
        </resultMap>

            <!-- 通用查询结果列 -->
            <sql id="Base_Column_List">
                id, cpu_utilization, memory_total, memory_allowance, uplink_rate, descending_rate, ip, create_time, update_time, client_time, disk_json
            </sql>

</mapper>
